Subject: Re: [Bitcoin-development] overall bitcoin client code quality

From: Mike Hearn <[email-masked]>
Date: Mon, 11 Jul 2011 11:33:04 +0200

> My overall suggestion is to begin a complete rewrite, inspired by the old
> code rather than moving a lot of "known to be somehow functional" around.

This essay is old but still relevant, I think:

  http://www.joelonsoftware.com/articles/fog0000000069.html

Despite that, there are efforts to write a fresh implementation. For
example, BitCoinJ:

  http://code.google.com/p/bitcoinj/

It is not a complete implementation. It's targeting the "simplified
payment verification" mode as a first base, and is mostly intended for
mobile phones today as that's a niche the current codebase can't meet.
In the (very) long run, it may evolve into a full node.

> Hopefully I did not hurt someone's feelings.

The code was written by Satoshi who is long gone, and I doubt he would
care much for this type of list anyway. He was a do-er rather than a
talker.